package com.yunzhi.fifteenpuzzle.controller;

import com.yunzhi.fifteenpuzzle.common.AliPayUtil;
import com.yunzhi.fifteenpuzzle.common.BaseController;
import com.yunzhi.fifteenpuzzle.common.MailUtils;
import com.yunzhi.fifteenpuzzle.entity.TaOrder;
import com.yunzhi.fifteenpuzzle.service.ITaOrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@Slf4j
@RestController
@RequestMapping("/alipay")
public class WxPayController extends BaseController {
    @Autowired
    public AliPayUtil aliPayUtil;

    @Autowired
    public ITaOrderService iTaOrderService;

    @Autowired
    public MailUtils mailUtils;
    
    @ResponseBody
    @RequestMapping("/notify")
    public String payNotify(@RequestParam Map<String, String> params) {
        doing(params, params.get("out_trade_no"));
        return "success";
    }

    @ResponseBody
    @RequestMapping("/notify/{orderId}")
    public String payNotify(@PathVariable String orderId,
                            @RequestParam Map<String, String> params) {
        doing(params, orderId);
        return "success";
    }

    private void doing(Map<String, String> params, String orderId) {
        String appId = params.get("app_id");
        String tradeStatus = params.get("trade_status");

        if ("TRADE_SUCCESS".equals(tradeStatus)) {
            TaOrder taOrder = iTaOrderService.getById(orderId);
            taOrder.setIsPaid(1);
            iTaOrderService.updateById(taOrder);

//            try {
//                mailUtils.sendHTML(taOrder.getEmail(), taOrder.getRightAnswer());
//            } catch (MessagingException e) {
//                e.printStackTrace();
//            }
        }
    }
}
