package com.yunzhi.fifteenpuzzle.exception;

import com.yunzhi.fifteenpuzzle.common.ResponseBean;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestControllerAdvice;

@Slf4j
@RestControllerAdvice
public class GlobalExceptionHandler {

    @ResponseBody
    @ExceptionHandler(Exception.class)
    public ResponseBean handleException(Exception e){
        e.printStackTrace();

        String err = e.getMessage();
        if (err.contains("java")) {
            err = "系统内部异常";
        }

        return ResponseBean.error(err, ResponseBean.ERROR_UNAVAILABLE);
    }
}
